Eliminar miembro de la Lista
curl --request DELETE \
--url https://api.x.com/2/lists/{id}/members/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/lists/{id}/members/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/lists/{id}/members/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"is_member": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Administrar
Eliminar miembro de la Lista
Elimina un usuario de una lista específica mediante su ID y el ID del usuario.
DELETE
/
2
/
lists
/
{id}
/
members
/
{user_id}
Eliminar miembro de la Lista
Autorizaciones
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El ID de la lista de la que se eliminará un miembro. El identificador único de esta Lista.
Pattern:
^[0-9]{1,19}$Ejemplo:
"1146654567674912769"
El ID del usuario que se eliminará de la lista. Identificador único de este usuario. Se devuelve como una cadena para evitar complicaciones con lenguajes de programación y herramientas que no pueden manejar números enteros grandes.
Pattern:
^[0-9]{1,19}$Ejemplo:
"2244994945"
Respuesta
La solicitud se completó correctamente.
Show child attributes
Show child attributes
Minimum array length:
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes